Subject: Re: bug#58992: 28.2; "lax space matching" no longer works

From: Vincent Lefevre <[email-masked]>
Date: Thu, 3 Nov 2022 18:56:41 +0100

On 2022-11-03 17:49:37 +0000, Gregory Heytings wrote:
> > I tested with "emacs -Q", and I've just tested again. I confirm the
> > behavior I could see: a newline character is matched.  That's Debian's
> > package emacs-gtk 1:27.1+1-3.1+b1.
> 
> Are you really sure?  I just tested this with that same version of Emacs
> (Debian package emacs-gtk 1:27.1+1-3.1+b1), and
> 
> emacs -Q
> ab RET bc RET ab SPC cd
> M-<
> C-s b SPC c
> 
> only matches the third line.

With this test, it only matches the third line, but not with a
pre-existing file. Why such a difference?

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)